# steveej's infra
This repository helps me to manage all computer infrastructure.
This is mostly achieved with the help of [Nix](https://nixos.org).

In the unlikely case that you actually read this and have any questions please don't hesitate to reach out.

## Roadmap

- All graphical systems (incl. install media) must have
  - [x] Full-disk encryption by default
  - [x] Yubikey support with SSH auth
- [ ] Migrate all devices to new structure
  - [x] Encrypted Install media
  - [x] steveej-laptop
  - [ ] steveej-laptop-work
- [ ] Migrate home environment to new structure
  - [x] home-manager
  - [x] pkgs-configuration
  - [ ] development environments
- [ ] (Semi-) automatic synchronization of important repositories
  - [ ] Modification strategy
  - [ ] dotfiles
  - [ ] password-store
  - [ ] this repo
- [ ] Toplevel Justfile for simple actions
  - [x] mount/umount disks
  - [x] install to mounted disk
  - [x] rebuild running system
  - [x] update running system
  - [x] annotate recipes with some documentation
  - [x] declare shell.nix with runtime deps
  - [ ] partition/encrypt/format disks
- [ ] Document bootstrap process
  - [ ] a new machine
  - [ ] an install media
- [ ] Design disaster recovery
- [ ] Automatic backups
  - [ ] tracked dotfiles
  - [ ] detect new and untracked dotfiles?
- [ ] Recycle *\_archived*
- [ ] Maybe make this a nix-overlay

## Usage
*(These are reminders for my future self)*

```
just --list
```

## Bootstrap

### A new machine

1. boot with an install media
2. clone infra repository
