with import <nixpkgs> {};

let 
  just = rustPlatform.buildRustPackage rec {
    name = "just-${version}";
    version = "git";
    src = builtins.fetchGit {
      url = "https://github.com/casey/just.git";
      rev = "6430d38a6a489ba4e818b6a892e8bbbbacbfe8f3";
    };

    cargoSha256 = "0awfq9fhcin2q6mvv54xw6i6pxhdp9xa1cpx3jmpf3a6h8l6s9wp";

    doCheck = false;

    meta = with stdenv.lib; {
      description = "Just a command runner ";
      homepage = https://github.com/casey/just;
      license = licenses.unlicense;
      maintainers = [ ];
      platforms = platforms.all;
    };
  };

in 
stdenv.mkDerivation {
  name = "infra-env";
  buildInputs = [
    just
    git-crypt
    vcsh
    gnupg
  ];

  # Set Environment Variables
  RUST_BACKTRACE = 1;
}
